Replaced single quotes with double quotes in base/libgit2

Changes to bldpkg:
* Fixed indentation in help usage function
* Fixed if/else code
* Added a check to cause bldpkg to fail if build validation function fails
* Simplified code for validating custom cpu flags
* Miscellaneous fixes
This commit is contained in:
PktSurf 2022-09-05 20:18:27 +05:30
parent 8e08ed4953
commit bf538d3cfd
2 changed files with 40 additions and 40 deletions

View file

@ -1,8 +1,8 @@
app=libgit2 app=libgit2
version=1.0.1 version=1.0.1
build=1sml build=1sml
homepage='https://libgit2.github.com/' homepage="https://libgit2.github.com/"
download='https://github.com/libgit2/libgit2/releases/download/v1.0.1/libgit2-1.0.1.tar.gz' download="https://github.com/libgit2/libgit2/releases/download/v1.0.1/libgit2-1.0.1.tar.gz"
desc="C library for custom Git applications" desc="C library for custom Git applications"
requires="pcre libssh2" requires="pcre libssh2"

76
bldpkg
View file

@ -87,12 +87,12 @@ Usage:
exceptional cases a different file is required to be copied into the exceptional cases a different file is required to be copied into the
package installer. Do note that this file will also undergo validation package installer. Do note that this file will also undergo validation
-s Display build summary. A summary is produced whenever a build is either -s Display build summary. A summary is produced whenever a build is either
interrupted, exits cleanly or aborts due to a build error interrupted, exits cleanly or aborts due to a build error
-x Invoke bash shell command trace mode. This one isn't akin to running -x Invoke bash shell command trace mode. This one isn't akin to running
bash -x <script> but close enough, because the mode is inserted half-way bash -x <script> but close enough, because the mode is inserted half-way
while bldpkg is running while bldpkg is running
EOF EOF
exit 0 exit 0
} }
@ -123,9 +123,7 @@ validatebldfile() {
if [[ ! ${!buildvariables} ]] ; then if [[ ! ${!buildvariables} ]] ; then
echo "[ERROR] Required variable \"${buildvariables}\" is not set. Please check your build file." echo "[ERROR] Required variable \"${buildvariables}\" is not set. Please check your build file."
exit 1 exit 1
fi elif egrep -q "$buildvariables='*'" "$buildfile" ; then
if egrep -q "$buildvariables='*'" "$buildfile" ; then
echo "[ERROR] Please dont use single quotes to define the \"${buildvariables}\" variable" echo "[ERROR] Please dont use single quotes to define the \"${buildvariables}\" variable"
exit 1 exit 1
fi fi
@ -135,42 +133,36 @@ validatebldfile() {
if ! echo "$app" | egrep -q '^[a-z0-9-]+$' ; then if ! echo "$app" | egrep -q '^[a-z0-9-]+$' ; then
echo "[ERROR] Only lower case, numeric characters and dash allowed in the '"'app'"' variable in the build file." echo "[ERROR] Only lower case, numeric characters and dash allowed in the '"'app'"' variable in the build file."
exit 1 exit 1
fi
# Validate $version # Validate $version
if ! echo "$version" | egrep -q '^[a-z0-9.]+$' ; then elif ! echo "$version" | egrep -q '^[a-z0-9.]+$' ; then
echo "[ERROR] Only lower case, numeric characters and a period allowed in the '"'version'"' variable in the build file." echo "[ERROR] Only lower case, numeric characters and a period allowed in the '"'version'"' variable in the build file."
exit 1 exit 1
fi
# Validate $homepage # Validate $homepage
if ! echo "$homepage" | egrep -q '^http://|^https://|^ftp://' ; then elif ! echo "$homepage" | egrep -q '^http://|^https://|^ftp://' ; then
echo "[ERROR] Invalid URL in the '"'homepage'"' variable in the build file." echo "[ERROR] Invalid URL in the '"'homepage'"' variable in the build file."
exit 1 exit 1
fi
# Validate $download, first the URL type # Validate $download, first the URL type
if [[ -n $download ]]; then elif [[ -n $download ]]; then
if ! echo "$download" | egrep -q '^http://|^https://|^ftp://' ; then if ! echo "$download" | egrep -q '^http://|^https://|^ftp://' ; then
echo "[ERROR] Invalid URL in the '"'download'"' variable in the build file." echo "[ERROR] Invalid URL in the '"'download'"' variable in the build file."
exit 1 exit 1
fi
# Then check for single quotes # Then check for single quotes
if egrep -q "download='*'" "$buildfile" ; then elif egrep -q "download='*'" "$buildfile" ; then
echo "[ERROR] Single quotes disallowed in the download variable" echo "[ERROR] Single quotes disallowed in the download variable"
exit 1 exit 1
fi fi
fi
# Validate $desc using bash shell's ability to count variable length # Validate $desc using bash shell's ability to count variable length
if [[ ${#desc} -gt 100 ]] ; then elif [[ ${#desc} -gt 100 ]] ; then
echo "[ERROR] Package description should not exceed 100 characters in the build file." echo "[ERROR] Package description should not exceed 100 characters in the build file."
exit 1 exit 1
fi
# Check if build() function exists in the build file # Check if build() function exists in the build file
if ! egrep -q '^build()' $buildfile ; then elif ! egrep -q '^build()' $buildfile ; then
echo "[ERROR] build() function does not exist in your build file." echo "[ERROR] build() function does not exist in your build file."
exit 1 exit 1
fi fi
@ -222,7 +214,12 @@ if [[ $OPTIND = 1 ]] ; then
exit 1 exit 1
else else
validatebldfile $buildfile validatebldfile $buildfile
source "$buildfile" if [[ $? != 0 ]] ; then
echo "[ERROR] Build file validation failed!"
exit 1
else
source "$buildfile"
fi
fi fi
# If OPTIND is greater than 1, check if a build file matching the parent directory exists, and if it does, source it. # If OPTIND is greater than 1, check if a build file matching the parent directory exists, and if it does, source it.
@ -231,15 +228,16 @@ elif [[ $OPTIND -gt 1 ]] ; then
# Override cputhreads sourced from bldpkg.conf if customcputhreads is set. Need to append '-j' so that it gets # Override cputhreads sourced from bldpkg.conf if customcputhreads is set. Need to append '-j' so that it gets
# passed on to MAKEFLAGS # passed on to MAKEFLAGS
if [[ -n $customcputhreads ]] ; then if [[ -n $customcputhreads ]] ; then
# And validate whether the value is a number
if ! echo "$customcputhreads" | egrep -q '^[0-9]+$' ; then
echo "[ERROR] Invalid CPU job number. Please try again."
exit 1
fi
# Reset $customcputhreads as $cputhreads
cputhreads="-j$customcputhreads" cputhreads="-j$customcputhreads"
fi fi
# And validate whether the value is a number
if ! echo "$cputhreads" | sed 's@-j@@' | egrep -q '^[0-9]+$' ; then
echo "[ERROR] Invalid CPU job number. Please try again."
exit 1
fi
# If $origbuildfile is set and is a file, check if $setbuildfile and $origbuildfile are the same # If $origbuildfile is set and is a file, check if $setbuildfile and $origbuildfile are the same
if [[ -n $origbuildfile ]] ; then if [[ -n $origbuildfile ]] ; then
if [[ ! -f $origbuildfile ]] ; then if [[ ! -f $origbuildfile ]] ; then
@ -255,6 +253,10 @@ elif [[ $OPTIND -gt 1 ]] ; then
fi fi
validatebldfile "$origbuildfile" validatebldfile "$origbuildfile"
if [[ $? != 0 ]] ; then
echo "[ERROR] Alternative build file validation failed!"
exit 1
fi
fi fi
@ -283,7 +285,7 @@ elif [[ $OPTIND -gt 1 ]] ; then
fi fi
fi fi
# Generate sha512sums in the build file # Generate and insert sha512sums into the build file
if [[ $genchecksum = 1 ]] ; then if [[ $genchecksum = 1 ]] ; then
# File types whose checksums will go into the new build file # File types whose checksums will go into the new build file
@ -355,7 +357,6 @@ terminateauditd() {
fi fi
} }
# Now we attempt to split the total time we'll get when making the summary into two times: compile time and
# Only verify source checksums if skipchecksum is not set in the build file # Only verify source checksums if skipchecksum is not set in the build file
if [[ -z $skipchecksum ]] ; then if [[ -z $skipchecksum ]] ; then
if [[ -z $sha512sums ]] ; then if [[ -z $sha512sums ]] ; then
@ -397,7 +398,7 @@ applypatch() {
exit 1 exit 1
fi fi
# Get relative path to the patch file # Get relative path of the patch file
relativepath="$(basename $patchfile)" relativepath="$(basename $patchfile)"
echo "[INFO] Applying patch $relativepath.." echo "[INFO] Applying patch $relativepath.."
patch -p1 < "$patchfile" patch -p1 < "$patchfile"
@ -612,10 +613,9 @@ if [[ $globaldistcc = 1 ]] ; then
echo "[ERROR] was requested! Either ensure distcc is in your "'$PATH'" or" echo "[ERROR] was requested! Either ensure distcc is in your "'$PATH'" or"
echo "[ERROR] disable this option in bldpkg.conf file." echo "[ERROR] disable this option in bldpkg.conf file."
exit 1 exit 1
fi
# Check if the symlinks are right # Check if the symlinks are right
if [[ ! "$(echo "$PATH" | grep "$distccsympath")" ]] ; then elif [[ ! "$(echo "$PATH" | grep "$distccsympath")" ]] ; then
echo "[ERROR] $distccsympath not found in "'$PATH'"! Fix it please." echo "[ERROR] $distccsympath not found in "'$PATH'"! Fix it please."
exit 1 exit 1
elif [[ ! -d $distccsympath ]] ; then elif [[ ! -d $distccsympath ]] ; then
@ -673,7 +673,7 @@ if [[ $globaldistcc = 1 ]] ; then
PATH="$(echo "$PATH" | sed "s@:$distccsympath@@g")" PATH="$(echo "$PATH" | sed "s@:$distccsympath@@g")"
else else
# netcat hosts inside $DISTCC_HOSTS by checking for an open port # netcat hosts inside $DISTCC_HOSTS by checking for an open port
echo "Validating hosts supplied in DISTCC_HOSTS variable" echo "[INFO] Validating distcc hosts..."
# Check if we have nc # Check if we have nc
if [[ ! -x /bin/nc ]] ; then if [[ ! -x /bin/nc ]] ; then
echo "[WARNING] nc does not exist! Ignoring this..." echo "[WARNING] nc does not exist! Ignoring this..."
@ -684,7 +684,7 @@ if [[ $globaldistcc = 1 ]] ; then
# We only run distccd on TCP port 3632 # We only run distccd on TCP port 3632
if ! /bin/nc -z -w 1 "$host" 3632 > /dev/null 2>&1 ; then if ! /bin/nc -z -w 1 "$host" 3632 > /dev/null 2>&1 ; then
echo "[WARNING] Distcc host '"$host"' is OFFLINE" echo "[WARNING] Distcc host '"$host"' is OFFLINE"
echo "Rewriting DISTCC_HOSTS" echo "[WARNING] Rewriting DISTCC_HOSTS"
DISTCC_HOSTS="$(echo $DISTCC_HOSTS | sed "s@$host/[a-z0-9,]*@@")" DISTCC_HOSTS="$(echo $DISTCC_HOSTS | sed "s@$host/[a-z0-9,]*@@")"
fi fi
done done
@ -925,7 +925,7 @@ compileonlyfor() {
# Function to remove old package directories and make new ones. # Function to remove old package directories and make new ones.
# To be invoked inside a package build file. # To be invoked inside a package build file.
mkandenterbuilddir() { mkandenterbuilddir() {
# $tmp, $pkg and $pkgdest are set in bldpkg.conf. # $pkgdest is set in bldpkg.conf.
pkgdocs="$pkg/share/doc/$app-$version" pkgdocs="$pkg/share/doc/$app-$version"
# Remove any old $pkg staging directory left by any previous build. # Remove any old $pkg staging directory left by any previous build.
rm -rf "$pkg" rm -rf "$pkg"
@ -1355,9 +1355,9 @@ prepbuildoutput() {
compressedsize="$(echo $(echo "scale=2 ; 1 - "$packsize" / "$packusize"" | bc ) | sed 's@.@@')" compressedsize="$(echo $(echo "scale=2 ; 1 - "$packsize" / "$packusize"" | bc ) | sed 's@.@@')"
bldstatus="$colourg Successful! :-D $colourd bldstatus="$colourg Successful! :-D $colourd
Source Size: $colourd Compressed: $srcdirsize"K", Uncompressed: $builddirsize"K" Srce Size: $colourd Compressed: $srcdirsize"K", Uncompressed: $builddirsize"K"
Package Size: $colourd Uncompressed: $packusize"K", Compressed: $packsize"K" ("$compressedsize'%'") Pkg Size: $colourd Uncompressed: $packusize"K", Compressed: $packsize"K" ("$compressedsize'%'")
Package Has: $colourd $totalfilecount files and $totalsymcount symlinks in $totaldircount directories" Pkg Has: $colourd $totalfilecount files and $totalsymcount symlinks in $totaldircount dirs"
elif [[ $wasinterrupted = 1 ]]; then elif [[ $wasinterrupted = 1 ]]; then
bldstatus="$coloury ** INTERRUPTED ** :-/ $colourd" bldstatus="$coloury ** INTERRUPTED ** :-/ $colourd"